<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>502B.50</title>
</head>
<script>
const reverseNumber = num => {
    // chuyển số thàng chuỗi và xử lý số âm
    const isNegative = num < 0;
    let numStr = Math.abs(num).toString();

    // Đảo ngược chuôi
    let reversedStr = numStr.split('').reverse().join('');

    // Chuyện chuỗi lại thành số
    let reversedNum = parseInt(reversedStr);

    return isNegative ? -reversedNum : reversedNum;
}

console.log(reverseNumber(12345));  // Output: 54321
console.log(reverseNumber(-12345)); // Output: -54321

const findLongestWord = (str) => {
    const words = str.split(' ');
    let longestWord = '';
    for (let word of words) {
        if (word.length > longestWord.length) {
            longestWord = word;
        }
    }
    return longestWord;
}

const exampleString = 'Web Development Tutorial';
const longestWord = findLongestWord(exampleString);
console.log(longestWord); 


</script>

</html>